%define Product mxmCounter
%define product mxmcounter
%define name    zope-%{Product}
%define version 1.1.0
%define release %mkrel 5

%define zope_minver	2.7
%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A simple filesystem based hit counter for Zope, CMF & Plone, for multiple pages
License:	GPL
Group:		System/Servers
URL:		http://www.mxm.dk/products/public/mxmCounter/
Source:		http://www.mxm.dk/products/public/mxmCounter/files/mxmCounter.%{version}.tar.bz2
Requires:	zope >= %{zope_minver}
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
A simple filesystem based hit counter for Zope, 
CMF & Plone, for multiple pages.

%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(-,root,root)
%{software_home}/Products/*


%changelog
* Mon Sep 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-5mdv2008.0
+ Revision: 88833
- spec cleanup


* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 07:32:02 (53760)
- Increase release

* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 06:47:24 (53749)
- Fix rpmlint warnings

* Sun Jul 30 2006 glehmann
+ 07/30/06 11:05:15 (42806)
Import zope-mxmCounter

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.0-3mdk
- fix path on x86_64

* Sun Apr 24 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 1.1.0-2mdk
- use mkrel

* Fri Jan 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.0-1mdk
- initial contrib

